csArrayElementHandler< T > Class Template Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions
csArrayElementHandler< T > Class Template Reference
Containers

The default element handler for csArray. More...

`#include <csutil/array.h>`

Inherited by csPDelArrayElementHandler< T >, and csRefArrayElementHandler< T >.

List of all members.

## Static Public Member Functions
static void | Construct (T *address)
| Construct an element.
static void | Construct (T *address, T const &src)
| Copy-construct an element.
static void | Destroy (T *address)
| Destroy an element.
static void | InitRegion (T *address, size_t count)
| Construct a number of elements.
static void | MoveElements (T *mem, size_t dest, size_t src, size_t count)
| Move elements inside a region.
static void | MoveElementsNoOverlap (T *mem, size_t dest, size_t src, size_t count)
| Move elements inside a region.
template<typename Allocator >
static T * | ResizeRegion (Allocator &alloc, T *mem, size_t relevantcount, size_t oldcount, size_t newcount)
| Reallocate a region allocated by `Allocator`.

## Detailed Description

### template<class T>
class csArrayElementHandler< T >

The default element handler for csArray.

Definition at line 108 of file array.h.

## Member Function Documentation

template<class T>

static void csArrayElementHandler< T >::Construct | ( | T * | address | ) | `[inline, static]`

Construct an element.

Definition at line 112 of file array.h.

template<class T>

static void csArrayElementHandler< T >::Construct | ( | T * | address,
|  | T const & | src
| ) |  | `[inline, static]`

Copy-construct an element.

Definition at line 118 of file array.h.

template<class T>

static void csArrayElementHandler< T >::Destroy | ( | T * | address | ) | `[inline, static]`

Destroy an element.

Definition at line 124 of file array.h.

template<class T>

static void csArrayElementHandler< T >::InitRegion | ( | T * | address,
|  | size_t | count
| ) |  | `[inline, static]`

Construct a number of elements.

Definition at line 130 of file array.h.

template<class T>

static void csArrayElementHandler< T >::MoveElements | ( | T * | mem,
|  | size_t | dest,
|  | size_t | src,
|  | size_t | count
| ) |  | `[inline, static]`

Move elements inside a region.

Definition at line 155 of file array.h.

template<class T>

static void csArrayElementHandler< T >::MoveElementsNoOverlap | ( | T * | mem,
|  | size_t | dest,
|  | size_t | src,
|  | size_t | count
| ) |  | `[inline, static]`

Move elements inside a region.

Warning:
  Only use if you _know_ source and destination regions don't overlap!

Definition at line 164 of file array.h.

template<class T>
template<typename Allocator >

static T* csArrayElementHandler< T >::ResizeRegion | ( | Allocator & | alloc,
|  | T * | mem,
|  | size_t | relevantcount,
|  | size_t | oldcount,
|  | size_t | newcount
| ) |  | `[inline, static]`

Reallocate a region allocated by `Allocator`.

Definition at line 138 of file array.h.

The documentation for this class was generated from the following file:

- csutil/array.h